| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
AnyBase Class Reference
File Input/Output » Generic Containers

Base class defining common data possessed by both AnyMap and AnyValue objects. More...

`#include <AnyMap.h>`

Inheritance diagram for AnyBase:
[legend]

## Detailed Description

Base class defining common data possessed by both AnyMap and AnyValue objects.

Definition at line 34 of file AnyMap.h.

## Public Member Functions
void | setLoc (int line, int column)
| For values which are derived from an input file, set the line and column of this value in that file.
const AnyValue & | getMetadata (const string &key) const
| Get a value from the metadata applicable to the AnyMap tree containing this node.

## Protected Attributes
int | m_line = -1
| The line where this value occurs in the input file.
int | m_column = 0
| If m_line >= 0, the column where this value occurs in the input file.
shared_ptr< AnyMap > | m_metadata
| Metadata relevant to an entire AnyMap tree, such as information about.

## Friends
class | InputFileError
void | warn_deprecated (const string &source, const AnyBase &node, const string &message)
| A deprecation warning for syntax in an input file.

## Member Function Documentation

## ◆ setLoc()

void setLoc | ( | int | line,
|  | int | column
| ) |  |

For values which are derived from an input file, set the line and column of this value in that file.

Used for providing context for some error messages.

Definition at line 574 of file AnyMap.cpp.

## ◆ getMetadata()

const AnyValue & getMetadata | ( | const string & | key | ) | const

Get a value from the metadata applicable to the AnyMap tree containing this node.

Definition at line 580 of file AnyMap.cpp.

## Friends And Related Symbol Documentation

## ◆ InputFileError

friend class InputFileError
| friend

Definition at line 61 of file AnyMap.h.

## ◆ warn_deprecated

void warn_deprecated | ( | const string & | source,
|  | const AnyBase & | node,
|  | const string & | message
| ) |  |
| friend

A deprecation warning for syntax in an input file.

Definition at line 1926 of file AnyMap.cpp.

## Member Data Documentation

## ◆ m_line

int m_line = -1
| protected

The line where this value occurs in the input file.

Set to -1 for values that weren't created from an input file.

Definition at line 51 of file AnyMap.h.

## ◆ m_column

int m_column = 0
| protected

If m_line >= 0, the column where this value occurs in the input file.

If m_line == -1, a value used for determining output ordering

Definition at line 55 of file AnyMap.h.

## ◆ m_metadata

shared_ptr<AnyMap> m_metadata
| protected

Metadata relevant to an entire AnyMap tree, such as information about.

Definition at line 59 of file AnyMap.h.

The documentation for this class was generated from the following files:

- AnyMap.h
- AnyMap.cpp